---
lang: en
title: 'API docs: rest.httphandler'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.httphandler.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpHandler](./rest.httphandler.md)

## HttpHandler class

<b>Signature:</b>

```typescript
export declare class HttpHandler 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(\_rootContext, \_serverConfig, \_routes)](./rest.httphandler._constructor_.md) |  | Constructs a new instance of the <code>HttpHandler</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_apiDefinitions](./rest.httphandler._apidefinitions.md) |  | <code>SchemasObject</code> |  |
|  [\_rootContext](./rest.httphandler._rootcontext.md) |  | <code>Context</code> |  |
|  [\_routes](./rest.httphandler._routes.md) |  | <code>RoutingTable</code> |  |
|  [\_serverConfig](./rest.httphandler._serverconfig.md) |  | <code>RestServerResolvedConfig</code> |  |
|  [handleRequest](./rest.httphandler.handlerequest.md) |  | <code>(request: Request, response: Response) =&gt; Promise&lt;void&gt;</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [\_handleRequest(request, response)](./rest.httphandler._handlerequest.md) |  |  |
|  [describeApiPaths()](./rest.httphandler.describeapipaths.md) |  |  |
|  [findRoute(request)](./rest.httphandler.findroute.md) |  |  |
|  [getApiDefinitions()](./rest.httphandler.getapidefinitions.md) |  |  |
|  [registerApiDefinitions(defs)](./rest.httphandler.registerapidefinitions.md) |  |  |
|  [registerController(spec, controllerCtor, controllerFactory)](./rest.httphandler.registercontroller.md) |  |  |
|  [registerRoute(route)](./rest.httphandler.registerroute.md) |  |  |


